Package ghidra.program.model.data

# Class IconResource

java.lang.Object
ghidra.program.model.data.BitmapResource
ghidra.program.model.data.IconResource

public class IconResource extends BitmapResource

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.data.BitmapResource

  `height, rawSizeImage, rowOrder, size, sizeImage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconResource(MemBuffer buf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `int`
  `getImageDataSize()`
  Returns the uncompressed image data size.
  `int`
  `getMaskLength()`

  ### Methods inherited from class ghidra.program.model.data.BitmapResource

  `get18PlaneImage, get32PlaneImage, getBitCount, getClrImportant, getClrUsed, getColorMap, getColorMapLength, getCompression, getComputedUncompressedImageDataSize, getDataImage, getEightPlaneImage, getFourPlaneImage, getOnePlaneImage, getPixelData, getPixelData, getPlanes, getRawSizeImage, getRGBData, getSize, getWidth, getXPelsPerMeter, getYPelsPerMeter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IconResource

    public IconResource(MemBuffer buf) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getHeight

    public int getHeight()
    Overrides:
      `getHeight` in class `BitmapResource`

  - ### getImageDataSize

    public int getImageDataSize()
    Description copied from class: `BitmapResource`
    Returns the uncompressed image data size. The default implementation will return the image data size specified by the header if non-zero, otherwize a computed data length will be returned based upon getHeight(), getWidth() and getBitCount().
    Overrides:
      `getImageDataSize` in class `BitmapResource`
    Returns:
      image data size

  - ### getMaskLength

    public int getMaskLength()
    Overrides:
      `getMaskLength` in class `BitmapResource`
    Returns:
      int size of mask section in bytes